Bug 1014457 - RTG client-only configuration does not configure the URL of server
RTG client-only configuration does not configure the URL of server
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ER4
: ---
Assigned To: Thomas Hauser
Len DiMaggio
Depends On:
  Show dependency treegraph
Reported: 2013-10-02 01:59 EDT by Jiri Pechanec
Modified: 2014-02-06 10:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Pechanec 2013-10-02 01:59:35 EDT
I changed the location of rtgov server in Installer's rtgov server configuration tab to http://localhost:8080 but overlord-rtgov.properties still contains RESTActivityServer.serverURL=https://rtgovserver.com:8443

Username and password were changed properly.
Comment 1 Thomas Hauser 2013-10-02 09:49:10 EDT
Found the issue. This will be in subsequent rebuilds.
Comment 2 Thomas Hauser 2013-10-02 10:13:16 EDT
A question: does it make sense to have the validation we do on this password?

- At least 8 chars
- At least one numeric char
- At least one "special" char

I was thinking because the RTGov server will be user configured outside of the installer, that this validation probably doesn't make sense and can cause issues with the user not being able to enter the password they have given their RTGov server.
Comment 3 Jiri Pechanec 2013-10-02 10:23:08 EDT
I have no strong opinion about this - does installation of rtgov server with password configuration enforce the same rules?
Comment 4 Thomas Hauser 2013-10-02 12:09:57 EDT
Currently all passwords in the installer enforce this rule.
Comment 5 Thomas Hauser 2013-10-02 12:17:47 EDT
Except for the DB ones, which obviously cannot be constrained in this way. Just thought I'd make note of that.
Comment 7 Jiri Pechanec 2013-10-07 01:32:56 EDT
Verified in ER4 04-Oct-2013 04:44

Note You need to log in before you can comment on or make changes to this bug.